Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.Beta2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.commands
Class RemoveTasksCommand

    java.lang.Object
      org.jbpm.services.task.commands.TaskCommand<Integer>
          org.jbpm.services.task.commands.RemoveTasksCommand

All Implemented Interfaces:
  Serializable, org.drools.core.command.impl.GenericCommand<Integer>, Command<Integer>

    public class RemoveTasksCommand

extends TaskCommand<Integer>

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jbpm.services.task.commands.TaskCommand
`DESCRIPTION_PROPERTY, EXPIRATION_DATE_PROPERTY, FAULT_PROPERTY, groupsIds, OUTPUT_PROPERTY, PRIORITY_PROPERTY, SKIPPABLE_PROPERTY, SUB_TASK_STRATEGY_PROPERTY, targetEntityId, TASK_NAMES_PROPERTY, taskId, userId`

Constructor Summary
`RemoveTasksCommand()`
`RemoveTasksCommand(List<TaskSummary> tasks)`

Method Summary
`Integer` | `execute(org.kie.internal.command.Context cntxt)`
`List<TaskSummary>` | `getTasks()`
`void` | `setTasks(List<TaskSummary> tasks)`

Methods inherited from class org.jbpm.services.task.commands.TaskCommand
`getGroupsIds, getTargetEntityId, getTaskId, getUserId, setGroupsIds, setTargetEntityId, setTaskId, setUserId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RemoveTasksCommand

    public RemoveTasksCommand()

### RemoveTasksCommand

    public RemoveTasksCommand(List<TaskSummary> tasks)

Method Detail

### getTasks

    public List<TaskSummary> getTasks()

### setTasks

    public void setTasks(List<TaskSummary> tasks)

### execute

    public Integer execute(org.kie.internal.command.Context cntxt)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.Beta2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.